
Foreman - Feature #812

cant assign roles to groups, just to users

03/31/2011 04:07 AM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm able to create a usergroup and add users to it but, when I edit a user group I get 2 items on my screen :

--------------

"User Groups" 

<empty>

----and-------

"Users" 

AdminUser , UserA, UserB etc

--------------

 There's no option to edit rights/roles of this group. I believe what we should expect here is something like this:

--------------

"User Groups" 

<in case nested groups are supported>

----and-------

"Roles" 

<Where you could select which role this usergroup gets>

----and-------

"Users" 

AdminUser , UserA, UserB etc

--------------

Related issues:

Related to Foreman - Feature #2950: User filters - Wildcard against facts New 08/20/2013

Related to Foreman - Feature #813: Support AD group membership for authorizat... Closed 03/31/2011

Related to Foreman - Feature #1583: Assign roles and filters to usergroups Closed 04/20/2012

Related to Foreman - Feature #3803: As a user I'd like to create filters Closed 12/04/2013

Related to Foreman - Feature #3804: As a developer I'd like to have API to ve... Closed 12/04/2013

Related to Foreman - Feature #3805: As a developer I'd like all authorization... Closed 12/04/2013

Related to Foreman - Feature #3806: As a user I'd like to have easy way to mi... Closed 12/04/2013

Related to Foreman - Feature #3807: As a user I'd like to have easy way to se... New 12/04/2013

Related to Foreman - Feature #3808: As a user I'd like to see what a scoped_s... Duplicate 12/04/2013

Related to Foreman - Feature #3817: As a user I want to set user permissions ... Closed 12/04/2013

Related to Foreman - Bug #3953: UI: No search bar for usergroups Closed 01/07/2014

Related to Foreman - Feature #3193: Allow compartmentalisation/filtering of p... Resolved 10/03/2013

Related to Foreman - Bug #4353: relation "roles" does not exist during DB mig... Closed 02/15/2014

Related to Foreman - Feature #4477: Improve permissions on resources in host ... Closed 02/27/2014

Related to Foreman - Tracker #4552: New permissions/authorization system issues New

Related to Foreman - Bug #12279: Roles are not ordered by default Closed 10/23/2015
Has duplicate Foreman - Feature #3508: As a security engineer, I would like t... Closed 10/25/2013

Blocked by Foreman - Bug #4293: Scoped search breaks on some relations Closed 02/07/2014

Associated revisions

Revision acfbc458 - 03/03/2014 02:26 PM - Marek Hulán

fixes #812 - new permissions model, user group role and nest support, role filters for better granularity

Contributions from:

Daniel Lobato <elobatocs@gmail.com>

Joseph Magen <jmagen@redhat.com>

Tom McKay <thomasmckay@redhat.com>

Greg Sutcliffe <gsutclif@redhat.com>

Dominic Cleal <dcleal@redhat.com>

History

#1 - 04/12/2011 07:25 AM - Ohad Levy

- Target version deleted (0.3)

#2 - 01/29/2012 04:49 AM - Ohad Levy

- Tracker changed from Bug to Feature

#3 - 01/29/2012 04:50 AM - Ohad Levy

- Subject changed from Usergroup rights/roles can't be configured to cant assign roles to groups, just to users

#4 - 10/25/2013 11:42 AM - Dominic Cleal

- Has duplicate Feature #3508: As a security engineer, I would like to retrieve ldap groups and use that to select roles in foreman added

#5 - 10/31/2013 12:21 PM - Ohad Levy

- Related to Feature #2950: User filters - Wildcard against facts  added

#6 - 10/31/2013 12:22 PM - Ohad Levy

- Related to Feature #813: Support AD group membership for authorization and authentication added

#7 - 10/31/2013 12:22 PM - Ohad Levy

- Related to Feature #1583: Assign roles and filters to usergroups added

#8 - 11/12/2013 01:13 PM - Marek Hulán

- Target version set to 1.10.0

#9 - 11/14/2013 08:40 AM - Marek Hulán

- Description updated

- Status changed from New to Assigned

- Assignee set to Marek Hulán

#10 - 12/04/2013 12:40 PM - Marek Hulán

- Related to Feature #3803: As a user I'd like to create filters added

#11 - 12/04/2013 12:42 PM - Marek Hulán

- Related to Feature #3804: As a developer I'd like to have API to verify permissions and to find resources based on filters added

#12 - 12/04/2013 12:43 PM - Marek Hulán

- Related to Feature #3805: As a developer I'd like all authorization functions to respect filters added

#13 - 12/04/2013 12:45 PM - Marek Hulán

- Related to Feature #3806: As a user I'd like to have easy way to migrate existing data to new authorization mechanism added

#14 - 12/04/2013 12:47 PM - Marek Hulán
- Related to Feature #3807: As a user I'd like to have easy way to set filters added

#15 - 12/04/2013 12:49 PM - Marek Hulán

- Related to Feature #3808: As a user I'd like to see what a scoped_search string that use ids means added

#16 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#17 - 12/04/2013 01:29 PM - Martin Bacovsky

- Target version deleted (1.9.3)

#18 - 12/04/2013 01:33 PM - Marek Hulán

- translation missing: en.field_release set to 2

#19 - 12/05/2013 09:54 AM - Marek Hulán

- Related to Feature #3817: As a user I want to set user permissions using API added

#20 - 01/07/2014 05:13 PM - Marek Hulán

- Related to Bug #3953: UI: No search bar for usergroups added

#21 - 01/09/2014 02:27 PM - Dominic Cleal

- Target version set to 1.9.2

#22 - 01/20/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#23 - 02/06/2014 12:07 PM - Dominic Cleal

- Target version changed from 1.9.2 to 1.9.1

#24 - 02/07/2014 02:04 PM - Marek Hulán

- Blocked by Bug #4293: Scoped search breaks on some relations added

#25 - 02/10/2014 02:56 PM - Marek Hulán

- Related to Feature #3193: Allow compartmentalisation/filtering of permissions by Organistion/Location added

#26 - 02/19/2014 02:02 PM - Dominic Cleal

- Related to Bug #4353: relation "roles" does not exist during DB migration added

#27 - 02/27/2014 12:36 PM - Marek Hulán

- Related to Feature #4477: Improve permissions on resources in host creation/editing form added

#28 - 03/03/2014 12:58 PM - Dominic Cleal

- Target version changed from 1.9.1 to 1.9.0

- Status changed from Assigned to Ready For Testing

#29 - 03/03/2014 12:58 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#30 - 03/03/2014 02:31 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset acfbc45886c4d81a2a3ca5af433a6124a0a7191a.

#31 - 03/05/2014 11:06 AM - Dominic Cleal

- Related to Tracker #4552: New permissions/authorization system issues added

04/25/2024 3/4

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/acfbc45886c4d81a2a3ca5af433a6124a0a7191a


#32 - 10/23/2015 08:29 AM - Marek Hulán

- Related to Bug #12279: Roles are not ordered by default added
